"use client";

import React from "react";
import AddFolder from "@/components/AddFolder";
import AddFileInfo from "@/components/AddFileInfo";
import Cards from "@/components/Cards";
import { useRequest } from "ahooks";
import { getFetch } from "@/lib/doFetch";


export default function Home(props) {
  const { data, refreshAsync, refresh } = useRequest(async () => {
    const res = await getFetch({ url: "/api/folder", params: {} });
    return res?.data ?? [];
  });

  return (
    <div>
      <div className="flex gap-4">
        <AddFolder refresh={refreshAsync} />
        <AddFileInfo refresh={refreshAsync} />
      </div>
      <Cards list={data ?? []} />
    </div>
  );
}
